| M480 BSP V3.05.001 The Board Support Package for M480 Series

Macros | Functions | Variables
system_M480.h File Reference

CMSIS Cortex-M4 Core Peripheral Access Layer Header File for M480. More...

`#include <stdint.h>`

Go to the source code of this file.

## Macros
#define | __HSI (12000000UL)
#define | __HXT (12000000UL)
#define | __LXT (32768UL)
#define | __HIRC (12000000UL)
#define | __LIRC (10000UL)
#define | __SYS_OSC_CLK ( ___HSI) /* Main oscillator frequency */
#define | __SYSTEM_CLOCK (1UL*__HXT)

## Functions
void | SystemInit (void)
| Setup the micro controller system. Initialize the System and update the SystemCoreClock variable. More...
void | SystemCoreClockUpdate (void)
| Updates the SystemCoreClock with current core Clock retrieved from cpu registers. More...

## Variables
uint32_t | SystemCoreClock
uint32_t | CyclesPerUs
uint32_t | PllClock

## Detailed Description

CMSIS Cortex-M4 Core Peripheral Access Layer Header File for M480.

Version
  V1.00 SPDX-License-Identifier: Apache-2.0

Copyright
  (C) 2017-2020 Nuvoton Technology Corp. All rights reserved.

Definition in file system_M480.h.

## Macro Definition Documentation

## ◆ __HIRC

#define __HIRC (12000000UL)

Internal 12M RC Oscillator Frequency

Definition at line 36 of file system_M480.h.

## ◆ __HSI

#define __HSI (12000000UL)

PLL default output is 50MHz

Definition at line 25 of file system_M480.h.

## ◆ __HXT

#define __HXT (12000000UL)

External Crystal Clock Frequency

Definition at line 29 of file system_M480.h.

## ◆ __LIRC

#define __LIRC (10000UL)

Internal 10K RC Oscillator Frequency

Definition at line 37 of file system_M480.h.

## ◆ __LXT

#define __LXT (32768UL)

External Crystal Clock Frequency 32.768KHz

Definition at line 33 of file system_M480.h.

## ◆ __SYS_OSC_CLK

#define __SYS_OSC_CLK ( ___HSI) /* Main oscillator frequency */

Definition at line 38 of file system_M480.h.

## ◆ __SYSTEM_CLOCK

#define __SYSTEM_CLOCK (1UL*__HXT)

Definition at line 41 of file system_M480.h.

## Function Documentation

## ◆ SystemCoreClockUpdate()

void SystemCoreClockUpdate | ( | void |  | ) |

Updates the SystemCoreClock with current core Clock retrieved from cpu registers.

Update SystemCoreClock variable

Parameters

  none |

Returns
  none

Definition at line 29 of file system_M480.c.

## ◆ SystemInit()

void SystemInit | ( | void |  | ) |

Setup the micro controller system. Initialize the System and update the SystemCoreClock variable.

Initialize the system

Parameters

  none |

Returns
  none

Setup the micro controller system. Initialize the System and update the SystemCoreClock variable.

Parameters

  none |

Returns
  none

Definition at line 82 of file system_M480.c.

## Variable Documentation

## ◆ CyclesPerUs

uint32_t CyclesPerUs

Cycles per micro second

Definition at line 22 of file system_M480.c.

## ◆ PllClock

uint32_t PllClock

PLL Output Clock Frequency

Definition at line 23 of file system_M480.c.

## ◆ SystemCoreClock

uint32_t SystemCoreClock

System Clock Frequency (Core Clock)

Definition at line 21 of file system_M480.c.